
TYPO3.TYPO3CR - Task # 1840

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Index/Search
Created: 2008-10-27 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Sprint:
Subject: LuceneKeywordAnalyser should not use iconv
Description

Make it use the PHP6 package or get rid of the iconv dependency in some other way

Associated revisions
Revision b2881f88 - 2008-10-30 14:53 - Karsten Dambekalns
TYPO3CR:
    -  the LuceneKeywordAnalyser class no longer uses iconv, fixes #1840
    -  removed an unneeded method in Property class
    -  implemented validation and best-effort type-conversion for Node->setProperty() [mostly by Matthias Hoermann], fixes #354
        -  partial URIs (those without a scheme) are not implemented as there would be much overlap with JCR paths and/or names
        -  values of undefined type are just validated with several candidate types and the first match wins, the order(s) of types that are tried might need
some fine-tuning later

History
#1 - 2008-10-28 13:14 - Karsten Dambekalns
- Target version set to 197

#2 - 2008-10-30 14:33 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2008-10-30 14:55 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1413.

#4 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
